@echo off
rem
rem                  INTEL CORPORATION PROPRIETARY INFORMATION
rem     This software is supplied under the terms of a license agreement or
rem     nondisclosure agreement with Intel Corporation and may not be copied
rem     or disclosed except in accordance with the terms of that agreement.
rem          Copyright(c) 2007-2008 Intel Corporation. All Rights Reserved.
rem

cls



REM
REM Usage:
REM  build{32|64|em64t}.bat [ cl7 | cl8 | cl9 | icl101 | icl110 ]
REM

::::::::::::::::::
setlocal
set ARG=%1

@CALL:GET_VARS

@%HEADER%
@%GET_ENVIRONMENT%

nmake clean ARCH=%ARCH%
nmake ARCH=%ARCH% CC=%COMPILER% LINKAGE="dynamic"

@%FOOTER%
endlocal


GOTO:EOF
::::::::::::::::::::

:GET_VARS
set SCRIPT=%~n0
set ENV_FILE=env.bat
SET PLTF=%SCRIPT:build=%
SET ARCH=win%PLTF%
IF "%PLTF%" == "32"    SET ARCH_C=
IF "%PLTF%" == "64"    SET ARCH_C=64
IF "%PLTF%" == "em64t" SET ARCH_C=em64t
SET x=%~d0%~p0
SET y=%x:\ipp-samples\=*%
FOR /F "tokens=1 delims=*" %%i IN ("%y%") DO SET SAMPLES_ROOT=%%i\ipp-samples\
SET HEADER=CALL "%SAMPLES_ROOT%\tools\env\tools" TYPE_HEADER
SET FOOTER=CALL "%SAMPLES_ROOT%\tools\env\tools" TYPE_FOOTER
SET GET_ENVIRONMENT=PUSHD "%SAMPLES_ROOT%\tools\env" ^& CALL %ENV_FILE% ^& POPD
EXIT /B

